# wxShowEvent Class Reference
[Events]

`#include </home/work/projects/wx/2.9/wx/interface/wx/event.h>`

Inheritance diagram for wxShowEvent:
[legend]

## Detailed Description

An event being sent when the window is shown or hidden.

The event is triggered by calls to wxWindow::Show(), and any user action showing a previously hidden window or vice versa (if allowed by the current platform and/or window manager). Notice that the event is not triggered when the application is iconized (minimized) or restored under wxMSW.

Availability: only available for the wxMSW, wxGTK, wxOS2 ports.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxShowEvent& event)

Event macros:

- EVT_SHOW(func):
  Process a `wxEVT_SHOW` event.

##

Library: wxCore
Category: Events

See also:
  Events and Event Handling, wxWindow::Show, wxWindow::IsShown

## Public Member Functions

| wxShowEvent (int winid=0, bool show=false)
| Constructor.
void | SetShow (bool show)
| Set whether the windows was shown or hidden.
bool | IsShown () const
| Return true if the window has been shown, false if it has been hidden.
bool | GetShow () const

List of all members.

## Constructor & Destructor Documentation

wxShowEvent::wxShowEvent | ( | int | winid = `0`,
|  | bool | show = `false` |
| ) |  |  |

Constructor.

## Member Function Documentation

bool wxShowEvent::GetShow | ( |  | ) | const

Deprecated:
  This function is deprecated in favour of IsShown().

bool wxShowEvent::IsShown | ( |  | ) | const

Return true if the window has been shown, false if it has been hidden.

void wxShowEvent::SetShow | ( | bool | show | ) |

Set whether the windows was shown or hidden.

|  | [ top ]